#include <cstdio>
#include <cmath>
#include <cassert>

using namespace std;

int main() {
//	freopen("A.in", "r", stdin);
//	freopen("A.out", "w", stdout);
	
	int n, d;
	scanf("%d %d", &n, &d);
	assert((2 <= n) && (n <= 1000) && (1 <= d) && (d <= 10000));
	
	printf("%.2lf\n", d / (1 + cos(M_PI - 2 * M_PI / n)));
	
	return 0;
}
